Subject: Re: linux-next: build warning after merge of the battery tree

From: Anton Vorontsov <[email-masked]>
Date: Mon, 18 Jun 2012 22:02:36 -0700

Hi Stephen,

On Tue, Jun 19, 2012 at 02:54:08PM +1000, Stephen Rothwell wrote:
> After merging the battery tree, today's linux-next build (i386 defconfig)
> produced this warning:
> 
> drivers/power/power_supply_core.c: In function 'psy_register_thermal':
> drivers/power/power_supply_core.c:204:6: warning: passing argument 1 of 'thermal_zone_device_register' discards 'const' qualifier from pointer target type [enabled by default]
> include/linux/thermal.h:149:29: note: expected 'char *' but argument is of type 'const char *'
> 
> Introduced by commit 3be330bf8860 ("power_supply: Register battery as a
> thermal zone").

Yup, at the same time as I merged the thermal zone support for
power supply class, I also fixed the root cause of the warning:

http://lkml.org/lkml/2012/6/18/28

But I guess it will go via -mm tree. Or should/can I take it into
battery-2.6 tree? Added Cc's.

Thanks!

-- 
Anton Vorontsov
Email: [email-masked]